
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{kspbook}[2011/07/27 Standard KSP book class]

\LoadClass[fontsize=12bp, parskip=half,DIV=calc, % BT:10pt auf 12bp geändert
bibliography=totoc,%index=totoc
]{scrbook}

%%%
% Define Options
\RequirePackage{etoolbox}
\newbool{KSPcrop}%
\setbool{KSPcrop}{false}%
\DeclareOption{crop}{\setbool{KSPcrop}{true}}
\ProcessOptions\relax

\RequirePackage{cmap}      % create searchable PDF files
\RequirePackage{lmodern}   % font replacement for cm
\RequirePackage{microtype}

%%%
% setup page
\KOMAoptions{paper=A4, pagesize, headlines=1.1,  headsepline} % BT: A5 auf A4 geändert
\typearea[8mm]{15} %8mm BCOR, DIV14

\RequirePackage{graphicx}

%%%
% head, foot
\RequirePackage[%
  headsepline,      % Linie unter der Kopfzeile
  footsepline, %BT: Linie Fußzeile
  plainheadsepline, %BT: Linie Kopfzeile Chapter
  plainfootsepline, %BT: Linie Kopfzeile Chapter 
  automark,         % automatische Aktualisierung der Kolumnentitel
  nouppercase,      % Grossbuchstaben verhindern
  %markuppercase    % Grossbuchstaben erzwingen
  %markusedcase     % vordefinierten Stil beibehalten
  komastyle,        % Stil von Koma Script
  %standardstyle,   % Stil der Standardklassen
]{scrpage2}
\pagestyle{scrheadings}
\ohead[\headmark]{\headmark}%[]{}%[\pagemark]{\pagemark}
\ihead[]{}%{\headmark}
\chead[]{}
\ofoot[\pagemark]{\pagemark}%[]{} BT angepasst
\ifoot[]{}
\cfoot[]{}

\setkomafont{pageheadfoot}{\small\usekomafont{pagenumber}}


%Set part and chpater pagestyle to empty: without head
\renewcommand*{\titlepagestyle}{empty}
\renewcommand*{\partpagestyle}{empty}
%\renewcommand*{\chapterpagestyle}{empty}
\renewcommand*{\indexpagestyle}{empty}

\KOMAoptions{DIV=last}

%caption
\setkomafont{captionlabel}{\sffamily\bfseries} % seriflos fett
\setcapindent{0em}                             % keinen Einzug ab der 2. Zeile

% Hurenkinder und Schusterjungen verhindern
\clubpenalty10000
\widowpenalty10000
\displaywidowpenalty10000
% Fußnoten über mehrere Seiten verhindern
%\interfootnotelinepenalty10000

\ifbool{KSPcrop}{ % Scale to A4 and set crop marker.
  \RequirePackage[frame,a4,center]{crop}
}{}
